Your account and billing profile
curl --request GET \
--url https://my.server.express/api/v1/client/settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/client/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/client/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"firstName": "<string>",
"lastName": "<string>",
"role": "CLIENT",
"createdAt": "2023-11-07T05:31:56Z",
"profile": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postcode": "<string>",
"phoneNumber": "<string>",
"vatNumber": "<string>",
"vatValid": true,
"clientType": "INDIVIDUAL",
"companyName": "<string>",
"preferredCurrency": "<string>"
},
"supportedCurrencies": [
"GBP"
]
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Account
Your account and billing profile
Name, email, role and billing profile, plus the currencies you can choose to be billed in.
GET
/
v1
/
client
/
settings
Your account and billing profile
curl --request GET \
--url https://my.server.express/api/v1/client/settings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/client/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/client/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "[email protected]",
"firstName": "<string>",
"lastName": "<string>",
"role": "CLIENT",
"createdAt": "2023-11-07T05:31:56Z",
"profile": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"country": "<string>",
"postcode": "<string>",
"phoneNumber": "<string>",
"vatNumber": "<string>",
"vatValid": true,
"clientType": "INDIVIDUAL",
"companyName": "<string>",
"preferredCurrency": "<string>"
},
"supportedCurrencies": [
"GBP"
]
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}